PingOne Platform APIs

Language Localization Status

The scope of language localization in PingOne is limited to end-user facing resources such as sign-on screens, registration agreements, notifications, and any other communications with end users. Localization is not applicable to administrator communications.

The languages service supports the following data model properties for language localization status resources.

Languages localization status data model

Property Type Required Mutable Description

createdAt

Date

N/A

Read-only

The time the language localization status resource was created.

environment.id

String

Required

Immutable

The environment resource’s unique identifier associated with the resource.

id

String

Required

Immutable

The resource’s unique identifier.

locale.id

String

Required

Immutable

The locale ID.

service

String

Required

Mutable

The name of the service associated with this resource.

updatedAt

Date

N/A

Read-only

The time the language localization status resource was last updated.

Response codes

Code Message

200

Successful operation.

201

Successfully created.

204

Successfully removed. No content.

400

The request could not be completed.

401

You do not have access to this resource.

403

You do not have permissions or are not licensed to make this request.

404

The requested resource was not found.

Language localization status errors

In addition to the general error codes, language localization status operations can return the following errors:

HTTP status Top‑level code Detail code When it happens and what the response contains

400

INVALID_REQUEST

None

Message: Service name is required., Invalid service name. The character set for a language name is alphanumeric characters, dash and underscore., or The status of service <service> for environmentId=<environmentID> and localeId=<languageID> has been created already.

When and details

When: A POST /languages/{languageID}/status request omits the service property or supplies a service value that is not a valid service name, or a POST request specifies a service that already has a status for the language

Details: None.

400

INVALID_REQUEST

None

Message: Cannot set localizationComplete to false for the default language.

When and details

When: A POST or PUT /languages/{languageID}/status/{l10nStatusID} request sets localizationComplete to false for the default language of the environment

Details: None.

400

INVALID_REQUEST

None

Message: The request could not be completed. The request was malformed or invalid.

When and details

When: A path identifier cannot be parsed as a UUID, or the request body cannot be deserialized

Details: For a JSON field conversion error, the target is the field path. Otherwise no detail is returned.

403

ACCESS_FAILED

None

Message: The actor attempting to perform the request is not authorized.

When and details

When: The actor lacks the langmgt:create:language permission (POST /languages/{languageID}/status), the langmgt:read:language permission (GET operations), the langmgt:update:language permission (PUT /languages/{languageID}/status/{l10nStatusID}), or the langmgt:delete:language permission (DELETE /languages/{languageID}/status/{l10nStatusID})

Details: None.

404

NOT_FOUND

None

Message: The status with id=<l10nStatusID> for environmentId=<environmentID> and localeId=<languageID> does not exist., or:

Unable to delete the localization status with id=<l10nStatusID> for environmentId=<environmentID> and localeId=<languageID>. It does not exist.

for a delete request

When and details

When: The request references a language or localization status resource that does not exist in the environment

Details: None.